<html>
    <head>
       <meta charset="UTF-8">
       <title>OCR-PBI</title>
       <script src="js/jquery.min.js"></script>
       <style type="text/css" media="screen">
	    img {
	       height: 200px;;
	       width: auto;
	    }
	    footer{
	       bottom: 0px;
	       width: 100%;
	       position: fixed;
	       font-family: courier;
	       border-top: 1px solid blue;
	       color: blue;
	       text-transform: uppercase;
	       background: white;
	    }
	    .cadra{
	       width: auto;
	       height: 80px
	       padding: 0px;
	       float: left;
	       outline: red solid 1px;
	    }
	    .compare{
	       position: absolute;
	       opacity: 0.1;
	    }
	    .cadra span{
	       font-family: courier;
	       font-size: 7pt;
		  color: grey;
	    }
	 </style>
    </head>
    <body>
   <footer>
       <button onclick="Zoom('up')">+</button>
       <button onclick="Zoom('down')">-</button>
       <button onclick="Compare()">Compare</button>
       <span id="type"></span>
    </footer>
    <script src="table.js"></script>
    <script>

      var elt = [];

      function splitHash(){

        var startImg = window.location.hash;
        startImg = startImg.substring(2);
        elt = startImg.split("-");

      }

      splitHash();

      if(elt.length > 1){

        for(i=0; i < elt.length; i++){

          $( "body" ).append('<img id="letter_'+i+'" src="../svg/'+tableChar[elt[i]][0]+'_'+tableChar[elt[i]][1]+'.svg" />');

        }

      }

      function Zoom(valZ){

        var imgH = $('img').height();

        if(valZ == 'up'){

          imgH = imgH + 50;

        }else if (valZ == 'down'){

          imgW = imgW - 50;

        }

        $('img').css("height", imgW);

      }

      function Compare(){

        $('img').toggleClass('compare');

      }

      function testing () {

        $("body").keydown( function( event ) {

          if (event.key == "Backspace" ) {

            var startImg = window.location.hash;
            var newUrl = startImg.lastIndexOf('-');

            window.location.hash = startImg.substring(0, newUrl);
            $('img').last().remove();

          }

        })

        $( "body"  ).keypress(function(event) {


            var savehash = window.location.hash.substring(1);

            $( "body" ).append('<img src="../svg/'+tableChar[event.keyCode][0]+'_'+tableChar[event.keyCode][1]+'.svg" />');
            savehash += '-'+event.keyCode;

            window.location.hash = savehash;
            Zoom();
        });

      }
	setInterval(function(){
	    stamp = (new Date).getTime();
	    $("img").each(function () {
		  var src = $(this).attr('src').split('?')[0];
		  $(this).attr('src', src + '?' + stamp);
	    });
	}, 1000);

      testing();

    </script>
    </body>

</html>

